PDA

Zobacz pełną wersję : [1.6.3] błędy Very Simple Image Galery



Amigraf
03-08-2011, 11:12
Witam
Zainstalowałem Very Simple Image Gallery Version: 1.6.5, wgrałem zdjęcia i przy wyświetlaniu strony z galerią wyskakują błędy jak niżej - do każdego zdjęcia kilka błędów. Co może być przyczyną?
Przykładowe błędy:
Strict Standards: Only variables should be assigned by reference in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 79

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beSortImag es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 253

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 311

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 312

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 338

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 367

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 368

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beResizeIm g() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 371

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beResizeIm g() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 399

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 311

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 312

Strict Standards: Non-static method plgContentVerysimpleimagegalleryHelper::beKickQuot es() should not be called statically, assuming $this from incompatible context in C:\xampp\htdocs\joomla16\plugins\content\verysimpl eimagegallery\verysimpleimagegallery.php on line 338

zwiastun
03-08-2011, 11:14
To nie jest problem Very Simple Image Gallery tylko Twojej wersji PHP. Zainstalowałeś najnowsze wydanie Joomla w środowisku z najnowszymi wydaniami PHP i MySQL (i z powodu PHP masz problem). Proponuję skorzystać z JAMPA albo wcześniejszego wydania XAMPPa (1.7.3)

Amigraf
03-08-2011, 11:35
Aha... Dzięki :)
a istnieją jakieś galerie działające pod PHP5?
Czy ew. można tą galerię dopasować pod PHP5?

zwiastun
03-08-2011, 21:44
Ta galeria też działa od php5, J 1.6+ działa tylko z php5

Amigraf
07-08-2011, 13:45
Dzieki za odpowiedź...
Najpierw piszesz że mam najnowszy php (5) i w tym problem, a później że z php 5 to ma działać...
To dlaczego nie działa?? :blink:

zwiastun
07-08-2011, 14:02
Napisałem Ci również, co zrobić. I wybacz, że mi się nie chce po raz kolejny tłumaczyć rzeczy już wyjaśnianych. Używanie wyszukiwarki nie boli.